Subject: Avoiding double writes

From: John Goerzen <[email-masked]>
Date: Mon, 01 Nov 2021 12:47:54 -0500

Hi,

Awhile back, we were discussing the temporary files that were 
needed for reading stdin for nncp-exec or nncp-file.  I believe 
the reason for this is that the header contains a signature of the 
data that follows, and it's not practical to seek back and write 
that later.

That raises a question... since the signature can't be verified 
without reading the entirety of the data anyhow, why not put the 
signature after the data instead of before it?

To do that, there needs to be some way of recognizing the end of 
the data.  I'm not sure how that happens now, since we also don't 
know the size in advance in those cases.  Is there some sort of 
blocking for data chunks?

If time permits, I may see about adding this feature if there's a 
design path that would be suitable.

- John